package cn.axzo.workflow.common.enums;

/**
 * 审批方式枚举
 *
 * @author wangli
 * @since 2023/11/16 10:10
 */
public enum ApprovalMethodEnum {

    human("human", "人工审批", ""),
    autoPassed("autoPassed", "自动通过", "[仅审批节点可能选该值]"),
    autoRejection("autoRejection", "自动驳回", "[仅审批节点可能选该值]"),
    nobody("nobody", "不设置审批人", "[仅业务节点可能有该值]"),
    bizSpecify("bizSpecify", "业务指定审批人", "[仅业务节点可能有该值]"),
    ;

    private String type;
    private String desc;
    private String remark;

    ApprovalMethodEnum(String type, String desc, String remark) {
        this.type = type;
        this.desc = desc;
        this.remark = remark;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getDesc() {
        return desc;
    }

    public void setDesc(String desc) {
        this.desc = desc;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }
}
